Bug 1732751 - Two users logged: user bar logs out, the foo user session will be terminated
Summary: Two users logged: user bar logs out, the foo user session will be terminated
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-desktop
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-24 09:33 UTC by Germano Massullo
Modified: 2020-08-11 13:06 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:17:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Germano Massullo 2019-07-24 09:33:10 UTC
Downstream clone of bugreport https://bugs.kde.org/show_bug.cgi?id=410106


STEPS TO REPRODUCE
1. Log into an user (let's call it A). Open an application, for example Firefox, just to keep something opened on the screen.
2. Then open a new session and login into another user, (let's call it B)
3. Terminate B session

OBSERVED RESULT
If you will login again again into A you will see that the A session has been terminated. I runned this check also by keeping users logged into IRC Freenode to check the exact time of disconnection (session termination)

EXPECTED RESULT
Session A must not be terminated if session B is terminated

KDE Plasma 5.16.3
Qt 5.12.4
Fedora 30
KDE Frameworks 5.59.0

A senior Fedora KDE user told me that this happens also on SDDM, GDM instead works well.
Fedora GNOME instead works well also on SDDM

Comment 1 Ben Cotton 2020-04-30 21:30:18 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2020-05-26 16:17:13 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Germano Massullo 2020-05-26 16:28:13 UTC
Upstream is still open, need a better verification

Comment 4 Ben Cotton 2020-08-11 13:06:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.


Note You need to log in before you can comment on or make changes to this bug.